<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetValueVariables Method (IEdmEnumeratorVariable9)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVariable9 Interface : SetValueVariables Method (IEdmEnumeratorVariable9)

Visual Basic
C#
C++/CLI

poVarNamesList
  IEdmStrLst5; list of variable names

poVarValuesList
  IEdmStrLst5; list of values for variable names in poVarNamesList

bsCfgName
  Configuration name

bOnlyIfPartOfCard
  True to set the variable only if the variable is part of the data card, false to always set the variable (see Remarks)

Sets the values of file variables.

# Syntax

Visual Basic |
--- | ---

    Sub SetValueVariables( _
       ByVal poVarNamesList As EdmStrLst5, _
       ByVal poVarValuesList As EdmStrLst5, _
       ByVal bsCfgName As System.String, _
       Optional ByVal bOnlyIfPartOfCard As System.Boolean _
    )

C# |
--- | ---

    void SetValueVariables(
       EdmStrLst5 poVarNamesList,
       EdmStrLst5 poVarValuesList,
       System.string bsCfgName,
       System.bool bOnlyIfPartOfCard
    )

C++/CLI |
--- | ---

    void SetValueVariables(
    &   EdmStrLst5^ poVarNamesList,
    &   EdmStrLst5^ poVarValuesList,
    &   System.String^ bsCfgName,
    &   System.bool bOnlyIfPartOfCard
    )

#### Parameters

poVarNamesList
  IEdmStrLst5; list of variable names
poVarValuesList
  IEdmStrLst5; list of values for variable names in poVarNamesList
bsCfgName
  Configuration name
bOnlyIfPartOfCard
  True to set the variable only if the variable is part of the data card, false to always set the variable (see Remarks)

# Remarks

This method can write the value to the file if the variable is mapped to a custom property.

# See Also

####

IEdmEnumeratorVariable9 Interface
IEdmEnumeratorVariable9 Members